﻿* Encoding: UTF-8.

*******Bewegungsbezogene Gesundheitzskompetzenz - Skalen********

*Invertierung*

RECODE BKAD30 BKAD60 BKAD10s BKAD30s BKKA15 BKKA25 BKKA5m BKKA15m (1=5) (2=4) (3=3) (4=2) (5=1) 
    (SYSMIS=SYSMIS) (ELSE=Copy) INTO BKAD30_i BKAD60_i BKAD10s_i BKAD30s_i BKKA15_i BKKA25_i BKKA5m_i 
    BKKA15m_i.
EXECUTE.

***Bewältigbarkeit von Ausdaueranforderungen***

COMPUTE bkad_ges_sum = (-4) + SUM.4 (BKAD30_i, BKAD60_i, BKAD10s_i, BKAD30s_i).
VARIABLE LABELS bkad_ges_sum  'Summenskala Bewältigbarkeit von Ausdaueranforderungen'.
VARIABLE LEVEL bkad_ges_sum  (SCALE).
EXECUTE.

COMPUTE bkad_ges_mean = (-1) + MEAN.4 (BKAD30_i, BKAD60_i, BKAD10s_i, BKAD30s_i) .
VARIABLE LABELS bkad_ges_mean  'Mittelwertskala Bewältigbarkeit von Ausdaueranforderungen'.
VARIABLE LEVEL bkad_ges_mean  (SCALE).
EXECUTE.

COMPUTE bkad_ges_pz = 25*bkad_ges_mean .
VARIABLE LABELS bkad_ges_pz  'Prozentskala Bewältigbarkeit von Ausdaueranforderungen'.
VARIABLE LEVEL bkad_ges_pz  (SCALE).
EXECUTE.

***Bewältigbarkeit von Kraftanforderungen***

COMPUTE bkkr_ges_sum = (-4) + SUM.4 (BKKA15_i, BKKA25_i, BKKA5m_i, BKKA15m_i) .
VARIABLE LABELS  bkkr_ges_sum  'Summenskala Bewältigbarkeit von Kraftanforderungen'.
VARIABLE LEVEL bkkr_ges_sum  (SCALE).
EXECUTE.

COMPUTE bkkr_ges_mean = (-1) + MEAN.4 (BKKA15_i, BKKA25_i, BKKA5m_i, BKKA15m_i) .
VARIABLE LABELS bkkr_ges_mean  'Mittelwertskala Bewältigbarkeit von Kraftanforderungen'.
VARIABLE LEVEL bkkr_ges_mean  (SCALE).
EXECUTE.

COMPUTE bkkr_ges_pz = 25*bkkr_ges_mean .
VARIABLE LABELS bkkr_ges_pz  'Prozentskala Bewältigbarkeit von Kraftanforderungen'.
VARIABLE LEVEL bkkr_ges_pz  (SCALE).
EXECUTE.

***Bewältigbarkeit von Gleichgewichtsanforderungen***

COMPUTE bkgg_ges_sum = (-5) + SUM.5 (BKABC1, BKABC2, BKABC3, BKABC5, BKABC6) .
VARIABLE LABELS  bkgg_ges_sum  'Summenskala Bewältigbarkeit von Gleichgewichtsanforderungen'.
VARIABLE LEVEL bkgg_ges_sum  (SCALE).
EXECUTE.

COMPUTE bkgg_ges_mean = (-1) + MEAN.5 (BKABC1, BKABC2, BKABC3, BKABC5, BKABC6) .
VARIABLE LABELS  bkgg_ges_mean  'Mittelwertskala Bewältigbarkeit von Gleichgewichtsanforderungen'.
VARIABLE LEVEL bkgg_ges_mean  (SCALE).
EXECUTE.

COMPUTE bkgg_ges_pz = 25*bkgg_ges_mean .
VARIABLE LABELS bkgg_ges_pz  'Prozentskala Bewältigbarkeit von Gleichgewichtsanforderungen'.
VARIABLE LEVEL bkgg_ges_pz  (SCALE).
EXECUTE.

***Körper- und Bewegungswahrnehmung***

COMPUTE bkkbw_ges_sum = (-5) + SUM.5 (BKKBW2, BKKBW4, BKKBW3b, BKKBW7, BKKBW8) .
VARIABLE LABELS  bkkbw_ges_sum  'Summenskala Körper- und Bewegungswahrnehmung neu'.
VARIABLE LEVEL bkkbw_ges_sum  (SCALE).
EXECUTE.

COMPUTE bkkbw_ges_mean = (-1) + MEAN.5 (BKKBW2, BKKBW4, BKKBW3b, BKKBW7, BKKBW8) .
VARIABLE LABELS  bkkbw_ges_mean  'Mittelwertskala Körper- und Bewegungswahrnehmung neu'.
VARIABLE LEVEL bkkbw_ges_mean  (SCALE).
EXECUTE.

COMPUTE bkkbw_ges_pz = 25*bkkbw_ges_mean .
VARIABLE LABELS bkkbw_ges_pz  'Prozentskala Körper- und Bewegungswahrnehmung neu'.
VARIABLE LEVEL bkkbw_ges_pz  (SCALE).
EXECUTE.

***Steuerbarkeit des körperlichen Trainings***

COMPUTE skt_ges_sum = (-6) + SUM.6 (SKT1, SKT2, SKT3, SKT4, SKT5, SKT6) .
VARIABLE LABELS  skt_ges_sum  'Summenskala Steuerbarkeit des körperlichen Trainings'.
VARIABLE LEVEL skt_ges_sum  (SCALE).
EXECUTE.

COMPUTE skt_ges_mean = (-1) + MEAN.6 (SKT1, SKT2, SKT3, SKT4, SKT5, SKT6) .
VARIABLE LABELS skt_ges_mean  'Mittelwertskala Steuerbarkeit des körperlichen Trainings'.
VARIABLE LEVEL skt_ges_mean  (SCALE).
EXECUTE.

COMPUTE skt_ges_pz = 25*skt_ges_mean .
VARIABLE LABELS skt_ges_pz  'Prozentskala Steuerbarkeit des körperlichen Training'.
VARIABLE LEVEL skt_ges_pz  (SCALE).
EXECUTE.

***Affektregulation***

COMPUTE br_ges_sum = (-4) + SUM.4 (BR1, BR2, BR3, BR4) .
VARIABLE LABELS br_ges_sum 'Summenskala Affektregulation'.
VARIABLE LEVEL br_ges_sum  (SCALE).
EXECUTE.

COMPUTE br_ges_mean = (-1) + MEAN.4 (BR1, BR2, BR3, BR4) .
VARIABLE LABELS br_ges_mean 'Mittelwertskala Affektregulation'.
VARIABLE LEVEL br_ges_mean  (SCALE).
EXECUTE.

COMPUTE br_ges_pz = 25*br_ges_mean .
VARIABLE LABELS br_ges_pz  'Prozentskala Affektregulation'.
VARIABLE LEVEL br_ges_pz  (SCALE).
EXECUTE.

***Selbstwirksamkeit***

COMPUTE pnse_ges_sum = (-3) + SUM.3 (PNSE1, PNSE2, PNSE3) .
VARIABLE LABELS pnse_ges_sum  'Summenskala Selbstwirksamkeit'.
VARIABLE LEVEL pnse_ges_sum  (SCALE).
EXECUTE.

COMPUTE pnse_ges_mean = (-1) + MEAN.3 (PNSE1, PNSE2, PNSE3) .
VARIABLE LABELS pnse_ges_mean  'Mittelwertskala Selbstwirksamkeit'.
VARIABLE LEVEL pnse_ges_mean  (SCALE).
EXECUTE.

COMPUTE pnse_ges_pz = 25*pnse_ges_mean .
VARIABLE LABELS pnse_ges_pz  'Prozentskala Selbstwirksamkeit'.
VARIABLE LEVEL pnse_ges_pz  (SCALE).
EXECUTE.

***Selbstkontrolle***

COMPUTE seko_ges_sum = (-3) + SUM.3 (SEKO1, SEKO2, SEKO3) .
VARIABLE LABELS seko_ges_sum 'Summenskala Selbstkontrolle Verhaltensumsetzung'.
VARIABLE LEVEL seko_ges_sum  (SCALE).
EXECUTE.

COMPUTE seko_ges_mean = (-1) + MEAN.3 (SEKO1, SEKO2, SEKO3) .
VARIABLE LABELS seko_ges_mean 'Mittelwertskala Selbstkontrolle Verhaltensumsetzung'.
VARIABLE LEVEL seko_ges_mean  (SCALE).
EXECUTE.

COMPUTE seko_ges_pz = 25*seko_ges_mean .
VARIABLE LABELS seko_ges_pz  'Prozentskala Selbstkontrolle Verhaltensumsetzung'.
VARIABLE LEVEL seko_ges_pz  (SCALE).
EXECUTE.

***Emotionale Einstellung***

COMPUTE emo_a_sum = (-4) + SUM.4 (emo1, emo2, emo3, emo4) .
VARIABLE LABELS emo_a_sum 'Summenskala Emotionale Einstellung KA'.
VARIABLE LEVEL emo_a_sum (SCALE).
EXECUTE.

COMPUTE emo_a_mean = (4/6) *( (-1) + MEAN.4 (emo1, emo2, emo3, emo4)) .
VARIABLE LABELS emo_a_mean 'Mittelwertskala Emotionale Einstellung KA'.
VARIABLE LEVEL emo_a_mean (SCALE).
EXECUTE.

COMPUTE emo_a_pz = 25*emo_a_mean .
VARIABLE LABELS emo_a_pz  'Prozentskala Emotionale Einstellung KA'.
VARIABLE LEVEL emo_a_pz  (SCALE).
EXECUTE.

***Kognitive Einstellung***

COMPUTE kog_a_sum = (-4) + SUM.4 (kog1, kog2, kog3, kog4) .
VARIABLE LABELS kog_a_sum 'Summenskala Kognitive Einstellung KA'.
VARIABLE LEVEL kog_a_sum (SCALE).
EXECUTE.

COMPUTE kog_a_mean = (4/6) * ( (-1) + MEAN.4 (kog1, kog2, kog3, kog4)) .
VARIABLE LABELS kog_a_mean 'Mittelwertskala Kognitive Einstellung KA'.
VARIABLE LEVEL kog_a_mean (SCALE).
EXECUTE.

COMPUTE kog_a_pz = 25*kog_a_mean .
VARIABLE LABELS kog_a_pz  'Prozentskala Kognitive Einstellung KA'.
VARIABLE LEVEL kog_a_pz  (SCALE).
EXECUTE.


***Skalenbildung Second-Order: Bewegungskompetenz***

COMPUTE Bewegungskompetenz_sum = bkad_ges_mean + bkkr_ges_mean + bkgg_ges_mean + 0.7*bkkbw_ges_mean + 0.7*pnse_ges_mean.
VARIABLE LABELS Bewegungskompetenz_sum 'Subkompetenz-Summenskala Bewegungskompetenz'.
VARIABLE LEVEL Bewegungskompetenz_sum (SCALE).
EXECUTE.

COMPUTE Bewegungskompetenz_mean = (bkad_ges_mean + bkkr_ges_mean + bkgg_ges_mean + 0.7*bkkbw_ges_mean + 0.7*pnse_ges_mean)/4.4.
VARIABLE LABELS Bewegungskompetenz_mean 'Subkompetenz-Mittelwertskala Bewegungskompetenz'.
VARIABLE LEVEL Bewegungskompetenz_mean (SCALE).
EXECUTE.

COMPUTE Bewegungskompetenz_pz = 25*Bewegungskompetenz_mean .
VARIABLE LABELS Bewegungskompetenz_pz  'Subkompetenz-Prozentskala Bewegungskompetenz'.
VARIABLE LEVEL Bewegungskompetenz_pz  (SCALE).
EXECUTE.

***Skalenbildung Second-Order: Steuerungskompetenz***

COMPUTE Steuerungskompetenz_sum = skt_ges_mean + br_ges_mean + 0.7*bkkbw_ges_mean.
VARIABLE LABELS Steuerungskompetenz_sum 'Subkompetenz-Summenskala Steuerungskompetenz'.
VARIABLE LEVEL Steuerungskompetenz_sum (SCALE).
EXECUTE.

COMPUTE Steuerungskompetenz_mean = (skt_ges_mean + br_ges_mean + 0.7*bkkbw_ges_mean)/2.7.
VARIABLE LABELS Steuerungskompetenz_mean 'Subkompetenz-Mittelwertskala Steuerungskompetenz'.
VARIABLE LEVEL Steuerungskompetenz_mean (SCALE).
EXECUTE.

COMPUTE Steuerungskompetenz_pz = 25*Steuerungskompetenz_mean .
VARIABLE LABELS Steuerungskompetenz_pz  'Subkompetenz-Prozentskala Steuerungskompetenz'.
VARIABLE LEVEL Steuerungskompetenz_pz  (SCALE).
EXECUTE.

***Skalenbildung Second-Order: Selbstregulationskompetenz***

COMPUTE Selbstregulationskompetenz_sum = 0.7*pnse_ges_mean + seko_ges_mean + emo_a_mean + kog_a_mean.
VARIABLE LABELS Selbstregulationskompetenz_sum 'Subkompetenz-Summenskala Selbstregulationskompetenz'.
VARIABLE LEVEL Selbstregulationskompetenz_sum (SCALE).
EXECUTE.

COMPUTE Selbstregulationskompetenz_mean = (0.7*pnse_ges_mean + seko_ges_mean + emo_a_mean + kog_a_mean)/3.7.
VARIABLE LABELS Selbstregulationskompetenz_mean 'Subkompetenz-Mittelwertskala Selbstregulationskompetenz'.
VARIABLE LEVEL Selbstregulationskompetenz_mean (SCALE).
EXECUTE.

COMPUTE Selbstregulationskompetenz_pz = 25*Selbstregulationskompetenz_mean .
VARIABLE LABELS Selbstregulationskompetenz_pz  'Subkompetenz-Prozentskala Selbstregulationskompetenz'.
VARIABLE LEVEL Selbstregulationskompetenz_pz  (SCALE).
EXECUTE.
